Identity
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/identity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/identity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": {
"content": "# IDENTITY\nYou are Atlas...",
"updatedAt": 1765526400000
},
"organisation": null,
"memoryAggregate": null,
"toolsNotes": null,
"bootstrap": {
"completed": true,
"completedAt": 1765526400000
}
},
"userProfile": {
"content": "Name: Alex",
"updatedAt": 1765526400000
},
"userTimezone": {
"value": "America/New_York",
"source": "manual",
"updatedAt": 1765526400000
},
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}agent-config
Identity
Read IDENTITY.md.
GET
/
agent-config
/
identity
Identity
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/identity \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/identity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": {
"content": "# IDENTITY\nYou are Atlas...",
"updatedAt": 1765526400000
},
"organisation": null,
"memoryAggregate": null,
"toolsNotes": null,
"bootstrap": {
"completed": true,
"completedAt": 1765526400000
}
},
"userProfile": {
"content": "Name: Alex",
"updatedAt": 1765526400000
},
"userTimezone": {
"value": "America/New_York",
"source": "manual",
"updatedAt": 1765526400000
},
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.